Skip to main content

Import Release

POST 

/api/v1/catalog/releases/project/:projectIdentifier/import

Imports a release from a JSON file, creating or updating the delivery configuration and restoring all associated metadata. The release will be created in draft status.

Request

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

Header Parameters

    X-Project-Token string

Body

required

    name string

    Release name

    version stringrequired

    Release version

    tag string

    Release tag

    createdAt stringrequired

    Creation timestamp

    project stringrequired

    Project identifier (name or ID)

    projectIdentifier object

    Project ID (set by API layer)

    status string

    Release status

    releaseNotes string

    Release notes

    author stringrequired

    Author email

    metadata object

    Release metadata

    artifacts

    object[]

    required

    List of artifacts

  • Array [

  • name stringrequired

    Artifact file name

    platform string

    Platform for the artifact (e.g., linux, macos, windows)

    size int64required

    File size in bytes

    sha256 stringrequired

    SHA256 hash for integrity verification

    downloadUrl stringrequired

    Download URL for the artifact (can be external or internal)

    isExecutable boolean

    Whether the artifact is executable

    arguments string

    Command-line arguments for executable artifacts

    metadata object

    Additional metadata

  • ]

  • dockerImages

    object[]

    List of docker images

  • Array [

  • name stringrequired

    Docker image name

    imageUrl stringrequired

    Docker image URL

    platform string

    Platform for the docker image

    metadata object

    Additional metadata

  • ]

  • dependencies

    object[]

    List of dependencies

  • Array [

  • catalogId stringrequired

    Dependency catalog ID

    name stringrequired

    Dependency name

    version stringrequired

    Dependency version

  • ]

Responses

Import response with warnings if any

Schema

    catalogId stringrequired

    Catalog ID of the created release

    name stringrequired

    Release name

    version stringrequired

    Release version

    status stringrequired

    Release status

    warnings

    object[]

    List of warnings for artifacts that failed checksum validation

  • Array [

  • artifactName stringrequired

    Artifact name that failed

    message stringrequired

    Warning message

    expectedSha256 stringrequired

    Expected SHA256 hash

    actualSha256 string

    Actual SHA256 hash

  • ]

  • message stringrequired

    Success message

Loading...